/*
 * StdInput.java
 *
 *  System.in in Java is for standard input (or console input), just like
 *  stdin in C or cin in C++. "Redirect" also works with Java, e.g. run
 *  this program with the command: java StdInput < file.txt, and it will
 *  print out the content of the text file.
 */
public class StdInput {

  public static void main( String args[] )
  {
    ConsoleReader in = new ConsoleReader();

    String line;
    while( (line = in.readLine()) != null )
      System.out.println( line );
  }

} // end of class StdInput

